Subject: Bug#568: [X2Go-Dev] Bug#568: X2Go issue (in src:x2goclient) has been marked as pending for release

From: Michael DePaulo <[email-masked]>
Date: Fri, 5 Sep 2014 06:14:48 -0400

On Fri, Sep 5, 2014 at 3:21 AM, Mike Gabriel
<[email-masked]> wrote:
> Hi Mike#2, hi Alex,
>
> On  Mi 03 Sep 2014 06:36:12 CEST, Mike DePaulo wrote:
>
>> +    - Windows: Bundle new version of VcXsrv: 1.15.2.0-xp+vc2013+x2go1
>> +      This new version is based on upstream VcXsrv 1.15.2.0, but still
>> +      compatible with Windows XP. It is compiled with Microsoft Visual
>> C++ 2013
>> +      and contains 1 X2Go-specific change, winmultiwindow.patch
>> +      (Thanks Oleksandr Shneyder for the patch) (Fixes: #568)
>
>
> has anyone of you upstreamed that winmultiwindow.patch? If not, does it make
> sense to do so?
>
> Thanks+Greets,
> Mike
[...]

Hi Mike#1

1. in a private email convo (I am not sure why Alex didn't CC
x2go-dev), Alex wrote:
On Tue, Sep 2, 2014 at 8:29 AM, Oleksandr Shneyder
<[email-masked]> wrote:
> I didn't found a bug itself but was able to creat a workaround, which
> makes x2goclient to work properly. See the patch in attachment.
For this reason, I assumed that winmultiwindow.patch was an
X2Go-specific change and could not be upstreamed.

2. I did also make the change of updating OpenSSL from 1.0.1h to
1.0.1i and attempt to upstream it:
https://sourceforge.net/u/mikedep333/vcxsrv/ci/268dab3031388bf198f48d0987c3e116cd7fb5c6/log/?path=
It seems like SourceForge's "Merge Request" feature is broken.
However, I have yet to receive a response from upstream anyway:
https://sourceforge.net/p/vcxsrv/code/merge-requests/1/
(Actually submitted on September 1st. The fact that I posted a comment
just now caused SourceForge to miscalculate the age of the Merge
Request. That's another bug with SourceForge :( ).
https://sourceforge.net/p/vcxsrv/code/merge-requests/3/